Import inclusion items from text
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Item One\nItem Two\nItem Three"
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports"
payload = { "text": "Item One
Item Two
Item Three" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'Item One\nItem Two\nItem Three'})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => 'Item One
Item Two
Item Three'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports"
payload := strings.NewReader("{\n \"text\": \"Item One\\nItem Two\\nItem Three\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"Item One\\nItem Two\\nItem Three\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"Item One\\nItem Two\\nItem Three\"\n}"
response = http.request(request)
puts response.read_body{
"inclusion_package": {
"id": 838813660,
"description": "Prabins InclusionPackage2",
"category": "uncategorised",
"total_price": "0.0",
"active": true,
"items_count": 3,
"items": [
{
"id": 999179817,
"description": "Item One",
"price": "0.0",
"quantity": 1
},
{
"id": 999179818,
"description": "Item Two",
"price": "0.0",
"quantity": 1
},
{
"id": 999179819,
"description": "Item Three",
"price": "0.0",
"quantity": 1
}
]
}
}Stock / Inclusions
Import inclusion items from text
Adds one item per line of text.
POST
/
{agency_uid}
/
inclusions
/
{inclusion_id}
/
text_imports
Import inclusion items from text
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Item One\nItem Two\nItem Three"
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports"
payload = { "text": "Item One
Item Two
Item Three" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'Item One\nItem Two\nItem Three'})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => 'Item One
Item Two
Item Three'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports"
payload := strings.NewReader("{\n \"text\": \"Item One\\nItem Two\\nItem Three\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"Item One\\nItem Two\\nItem Three\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/inclusions/{inclusion_id}/text_imports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"Item One\\nItem Two\\nItem Three\"\n}"
response = http.request(request)
puts response.read_body{
"inclusion_package": {
"id": 838813660,
"description": "Prabins InclusionPackage2",
"category": "uncategorised",
"total_price": "0.0",
"active": true,
"items_count": 3,
"items": [
{
"id": 999179817,
"description": "Item One",
"price": "0.0",
"quantity": 1
},
{
"id": 999179818,
"description": "Item Two",
"price": "0.0",
"quantity": 1
},
{
"id": 999179819,
"description": "Item Three",
"price": "0.0",
"quantity": 1
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes